datacache <- new.env(hash=TRUE, parent=emptyenv())

rat2302_dbconn <- function() dbconn(datacache)
rat2302_dbfile <- function() dbfile(datacache)
rat2302_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rat2302_dbInfo <- function() dbInfo(datacache)

rat2302ORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rat2302.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.RODENTCHIP_DB("rat2302", "chip rat2302", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rat2302_dbconn())
}

